Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1493802 - ClusterResourceQuota accepting openshift.io/imagestreams as a 'NotTerminating' resource
Summary: ClusterResourceQuota accepting openshift.io/imagestreams as a 'NotTerminating...
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 3.6.z
Assignee: Stefan Schimanski
QA Contact: Wang Haoran
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-21 00:23 UTC by hgomes
Modified: 2020-12-14 10:09 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-20 18:58:21 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description hgomes 2017-09-21 00:23:18 UTC
Description of problem:

Able to apply as 'NotTerminating' the resource  openshift.io/imagestreams using ClusterResourceQuota


Version-Release number of selected component (if applicable):

# rpm -qa '*openshift*'
atomic-openshift-docker-excluder-3.6.173.0.21-1.git.0.f95b0e7.el7.noarch
atomic-openshift-3.6.173.0.21-1.git.0.f95b0e7.el7.x86_64
atomic-openshift-clients-3.6.173.0.21-1.git.0.f95b0e7.el7.x86_64
atomic-openshift-sdn-ovs-3.6.173.0.21-1.git.0.f95b0e7.el7.x86_64
atomic-openshift-excluder-3.6.173.0.21-1.git.0.f95b0e7.el7.noarch
atomic-openshift-node-3.6.173.0.21-1.git.0.f95b0e7.el7.x86_64
tuned-profiles-atomic-openshift-node-3.6.173.0.21-1.git.0.f95b0e7.el7.x86_64
atomic-openshift-master-3.6.173.0.21-1.git.0.f95b0e7.el7.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:

# oc apply -f nonterm.yaml 
clusterresourcequota "paas-it-ops-admin--dev--nonterm" configured

Expected results:

Either there is an extra allowance from Openshift's side, or the documentation missed on mentioning this type of resource.

Additional info:

nonterm.yaml

apiVersion: v1
kind: ClusterResourceQuota
metadata:
  labels:
    group: paas-it-ops-admin
    servicephase: dev
  name: paas-it-ops-admin--dev--nonterm
spec:
  quota:
    hard:
#      configmaps: "20"
      limits.cpu: "4"
      limits.memory: 2Gi
      openshift.io/imagestreams: "10"  <-------------
#      persistentvolumeclaims: "2"
      pods: "10"
#      replicationcontrollers: "50"
      requests.cpu: "4"
      requests.memory: 2Gi
#      secrets: "20"
#      services: "10"
    scopes:
      - NotTerminating
  selector:
    annotations:
      paas.redhat.com/group: paas-it-ops-admin
    labels:
      matchLabels:
        servicephase: dev

Comment 1 Ben Parees 2017-12-19 00:56:34 UTC
If there's specific logic for quota on imageregistry please point me to it and assign the bug back, for but the moment my assumption is this is the responsibility of the quota component, so sending to the master team.

Comment 2 Stephen Cuppett 2019-11-20 18:58:21 UTC
OCP 3.6-3.10 is no longer on full support [1]. Marking CLOSED DEFERRED. If you have a customer case with a support exception or have reproduced on 3.11+, please reopen and include those details. When reopening, please set the Target Release to the appropriate version where needed.

[1]: https://access.redhat.com/support/policy/updates/openshift


Note You need to log in before you can comment on or make changes to this bug.